to prepare a new host:

```
sudo apt-get install software-properties-common
sudo apt-add-repository -y ppa:nginx/stable
sudo apt-get update
sudo apt-get install -y git python-virtualenv python-dev phantomjs libjpeg8 libjpeg62-dev libfreetype6 libfreetype6-dev libevent-dev
sudo apt-get install -y nginx-full
```

check out the code:

```
git clone https://bitbucket.org/yackob03/quay.git
virtualenv --distribute venv
source venv/bin/activate
pip install -r requirements.txt
```

running:

```
sudo mkdir -p /mnt/nginx/ && sudo nginx -c `pwd`/nginx.conf
STACK=prod gunicorn -D --workers 4 -b unix:/tmp/gunicorn.sock --worker-class gevent -t 2000 application:application
```

start the workers:

```
STACK=prod python -m workers.diffsworker -D
STACK=prod python -m workers.dockerfilebuild -D
STACK=prod python -m workers.webhookworker -D
```

bouncing the servers:

```
sudo kill -HUP <pid of nginx>
kill -HUP <pid of gunicorn>

kill <pids of worker daemons>
restart daemons
```

running the tests:

```
STACK=test python -m unittest discover
```

generating screenshots:

```
cd screenshots
casperjs screenshots.js --d
```